> For a complete page index, fetch https://developer.close.com/llms.txt # Fetch a single connected account GET https://api.close.com/api/v1/connected_account/{id}/ Reference: https://developer.close.com/api/resources/connected-accounts/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_fields` (list of string, optional, default: ["_type","available_calendars","available_features","calendar_receive_status","calendly","date_created","default_identity","email","email_receive_status","enabled_features","has_meeting_creation_scopes","id","identities","imap","is_imap_archive_sync_enabled","label","latest_receive_error","latest_send_error","lead_suggestions_updated_at","organization_id","receive_status","send_status","smtp","sync_all_calendars","synced_calendars","user_id","zoom_account_plan"]) ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "_type": "google", "id": "emailacct_qG1RuJuy5baiXvVbIc2VelooJwGcKeIrQLNtTd9p6RO", "identities": [ { "email": "anthony@close.com", "name": "Anthony Nemitz" } ], "label": "anthony@close.com", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "synced_calendars": [ "anthony@close.com" ], "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python connected_accounts_get_example import requests url = "https://api.close.com/api/v1/connected_account/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript connected_accounts_get_example const url = 'https://api.close.com/api/v1/connected_account/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go connected_accounts_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/connected_account/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby connected_accounts_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/connected_account/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java connected_accounts_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/connected_account/id/") .basicAuth("", "") .asString(); ``` ```php connected_accounts_get_example request('GET', 'https://api.close.com/api/v1/connected_account/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp connected_accounts_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/connected_account/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```